openshot::ErrorDecodingAudio Class Reference

Exception when decoding audio packet. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ErrorDecodingAudio:

## Public Member Functions

| ErrorDecodingAudio (std::string message, int64_t frame_number)
| Constructor. More...
virtual | ~ErrorDecodingAudio () noexcept
Public Member Functions inherited from openshot::BaseException
| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Public Attributes

int64_t | frame_number

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
std::string | m_message

## Detailed Description

Exception when decoding audio packet.

Definition at line 93 of file Exceptions.h.

## Constructor & Destructor Documentation

## ErrorDecodingAudio()

openshot::ErrorDecodingAudio::ErrorDecodingAudio | ( | std::string | message,
|  | int64_t | frame_number
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  frame_number | The frame number being processed

Definition at line 103 of file Exceptions.h.

## ~ErrorDecodingAudio()

virtual openshot::ErrorDecodingAudio::~ErrorDecodingAudio | ( |  | ) |

inline virtual noexcept

Definition at line 105 of file Exceptions.h.

## Member Data Documentation

## frame_number

int64_t openshot::ErrorDecodingAudio::frame_number

Definition at line 96 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h